#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1507\r"; sleep 2;
echo -e "write (0,1) -1657\r"; sleep 2;
echo -e "write (0,2) -1484\r"; sleep 2;
echo -e "write (0,3) -1415\r"; sleep 2;
echo -e "write (0,4) -1553\r"; sleep 2;
echo -e "write (0,5) -1588\r"; sleep 2;
echo -e "write (0,6) -1335\r"; sleep 2;
echo -e "write (0,9) -1476\r"; sleep 2;
echo -e "write (0,10) -1323\r"; sleep 2;
echo -e "write (0,11) -1504\r"; sleep 2;
echo -e "write (0,12) -1372\r"; sleep 2;
echo -e "write (0,13) -1554\r"; sleep 2;
echo -e "write (0,14) -1510\r"; sleep 2;
echo -e "write (1,0) -1539\r"; sleep 2;
echo -e "write (1,1) -1325\r"; sleep 2;
echo -e "write (1,2) -1400\r"; sleep 2;
echo -e "write (1,3) -1560\r"; sleep 2;
echo -e "write (1,4) -1305\r"; sleep 2;
echo -e "write (1,5) -1430\r"; sleep 2;
echo -e "write (1,6) -1352\r"; sleep 2;
echo -e "write (1,9) -1608\r"; sleep 2;
echo -e "write (1,10) -1561\r"; sleep 2;
echo -e "write (1,11) -1587\r"; sleep 2;
echo -e "write (1,12) -1655\r"; sleep 2;
echo -e "write (1,13) -1491\r"; sleep 2;
echo -e "write (1,14) -1665\r"; sleep 2;
echo -e "write (2,0) -1643\r"; sleep 2;
echo -e "write (2,1) -1639\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1611\r"; sleep 2;
echo -e "write (2,4) -1450\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1409\r"; sleep 2;
echo -e "write (2,9) -1353\r"; sleep 2;
echo -e "write (2,10) -1658\r"; sleep 2;
echo -e "write (2,11) -1414\r"; sleep 2;
echo -e "write (2,12) -1475\r"; sleep 2;
echo -e "write (2,13) -1649\r"; sleep 2;
echo -e "write (2,14) -1384\r"; sleep 2;
echo -e "write (3,0) -1505\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1498\r"; sleep 2;
echo -e "write (3,3) -1625\r"; sleep 2;
echo -e "write (3,4) -1576\r"; sleep 2;
echo -e "write (3,5) -1486\r"; sleep 2;
echo -e "write (3,6) -1639\r"; sleep 2;
echo -e "write (3,9) -1589\r"; sleep 2;
echo -e "write (3,10) -1536\r"; sleep 2;
echo -e "write (3,11) -1579\r"; sleep 2;
echo -e "write (3,12) -1589\r"; sleep 2;
echo -e "write (3,13) -1457\r"; sleep 2;
echo -e "write (3,14) -1600\r"; sleep 2;
echo -e "write (4,0) -1524\r"; sleep 2;
echo -e "write (4,1) -1575\r"; sleep 2;
echo -e "write (4,2) -1590\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1510\r"; sleep 2;
echo -e "write (4,5) -1519\r"; sleep 2;
echo -e "write (4,6) -1556\r"; sleep 2;
echo -e "write (4,9) -1569\r"; sleep 2;
echo -e "write (4,10) -1511\r"; sleep 2;
echo -e "write (4,11) -1616\r"; sleep 2;
echo -e "write (4,12) -1641\r"; sleep 2;
echo -e "write (4,13) -1485\r"; sleep 2;
echo -e "write (4,14) -1627\r"; sleep 2;
echo -e "write (5,0) -1685\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1628\r"; sleep 2;
echo -e "write (5,3) -1421\r"; sleep 2;
echo -e "write (5,4) -1644\r"; sleep 2;
echo -e "write (5,5) -1558\r"; sleep 2;
echo -e "write (5,6) -1348\r"; sleep 2;
echo -e "write (5,9) -1624\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1688\r"; sleep 2;
echo -e "write (5,12) -1346\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1641\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1412\r"; sleep 2;
echo -e "write (6,2) -1310\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1387\r"; sleep 2;
echo -e "write (6,5) -1345\r"; sleep 2;
echo -e "write (6,6) -1316\r"; sleep 2;
echo -e "write (6,9) -1571\r"; sleep 2;
echo -e "write (6,10) -1317\r"; sleep 2;
echo -e "write (6,11) -1523\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1451\r"; sleep 2;
echo -e "write (6,14) -1382\r"; sleep 2;
echo -e "write (8,0) -1491\r"; sleep 2;
echo -e "write (8,1) -1475\r"; sleep 2;
echo -e "write (8,2) -1326\r"; sleep 2;
echo -e "write (8,3) -1317\r"; sleep 2;
echo -e "write (8,4) -1433\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1467\r"; sleep 2;
echo -e "write (8,9) -1356\r"; sleep 2;
echo -e "write (8,10) -1520\r"; sleep 2;
echo -e "write (8,11) -1446\r"; sleep 2;
echo -e "write (8,12) -1477\r"; sleep 2;
echo -e "write (8,13) -1627\r"; sleep 2;
echo -e "write (8,14) -1432\r"; sleep 2;
echo -e "write (9,0) -1648\r"; sleep 2;
echo -e "write (9,1) -1562\r"; sleep 2;
echo -e "write (9,2) -1624\r"; sleep 2;
echo -e "write (9,3) -1490\r"; sleep 2;
echo -e "write (9,4) -1539\r"; sleep 2;
echo -e "write (9,5) -1409\r"; sleep 2;
echo -e "write (9,6) -1478\r"; sleep 2;
echo -e "write (9,9) -1641\r"; sleep 2;
echo -e "write (9,10) -1575\r"; sleep 2;
echo -e "write (9,11) -1554\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1484\r"; sleep 2;
echo -e "write (9,14) -1449\r"; sleep 2;
echo -e "write (10,0) -1682\r"; sleep 2;
echo -e "write (10,1) -1413\r"; sleep 2;
echo -e "write (10,2) -1486\r"; sleep 2;
echo -e "write (10,3) -1620\r"; sleep 2;
echo -e "write (10,4) -1639\r"; sleep 2;
echo -e "write (10,5) -1342\r"; sleep 2;
echo -e "write (10,6) -1362\r"; sleep 2;
echo -e "write (10,9) -1549\r"; sleep 2;
echo -e "write (10,10) -1599\r"; sleep 2;
echo -e "write (10,11) -1409\r"; sleep 2;
echo -e "write (10,12) -1459\r"; sleep 2;
echo -e "write (10,13) -1573\r"; sleep 2;
echo -e "write (10,14) -1538\r"; sleep 2;
echo -e "write (11,0) -1607\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1366\r"; sleep 2;
echo -e "write (11,3) -1631\r"; sleep 2;
echo -e "write (11,4) -1532\r"; sleep 2;
echo -e "write (11,5) -1680\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1497\r"; sleep 2;
echo -e "write (11,11) -1498\r"; sleep 2;
echo -e "write (11,12) -1388\r"; sleep 2;
echo -e "write (11,13) -1317\r"; sleep 2;
echo -e "write (11,14) -1653\r"; sleep 2;
echo -e "write (12,0) -1615\r"; sleep 2;
echo -e "write (12,1) -1537\r"; sleep 2;
echo -e "write (12,2) -1481\r"; sleep 2;
echo -e "write (12,3) -1671\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1404\r"; sleep 2;
echo -e "write (12,7) -1493\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1479\r"; sleep 2;
echo -e "write (12,12) -1474\r"; sleep 2;
echo -e "write (12,13) -1451\r"; sleep 2;
echo -e "write (12,14) -1685\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1586\r"; sleep 2;
echo -e "write (13,2) -1484\r"; sleep 2;
echo -e "write (13,3) -1290\r"; sleep 2;
echo -e "write (13,4) -1520\r"; sleep 2;
echo -e "write (13,5) -1385\r"; sleep 2;
echo -e "write (13,6) -1600\r"; sleep 2;
echo -e "write (13,9) -1639\r"; sleep 2;
echo -e "write (13,10) -1590\r"; sleep 2;
echo -e "write (13,11) -1444\r"; sleep 2;
echo -e "write (13,12) -1466\r"; sleep 2;
echo -e "write (13,13) -1234\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1556\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1560\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1580\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1697\r"; sleep 2;
echo -e "write (14,12) -1451\r"; sleep 2;
echo -e "write (14,13) -1487\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1497\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1440\r"; sleep 2;
echo -e "write (15,3) -1567\r"; sleep 2;
echo -e "write (15,4) -1408\r"; sleep 2;
echo -e "write (15,5) -1452\r"; sleep 2;
echo -e "write (15,6) -1451\r"; sleep 2;
echo -e "write (15,7) -1556\r"; sleep 2;
echo -e "write (15,8) -1460\r"; sleep 2;
echo -e "write (15,9) -1402\r"; sleep 2;
echo -e "write (15,10) -1421\r"; sleep 2;
echo -e "write (15,11) -1489\r"; sleep 2;
echo -e "write (15,12) -1525\r"; sleep 2;
echo -e "write (15,13) -1636\r"; sleep 2;
echo -e "write (15,14) -1418\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../hvlog_run15/fms_hvon_7005_$t.tex
echo Set new HV
cat ../hvlog_run15/fms_hvon_7005_$t.tex
